package com.steerinfo.ems.trmworkprocproduct.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class TRmWorkprocProduct implements IBasePO<String> {
    /**
     * 关联ID(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="关联ID",required=true)
    private String itemid;

    /**
     * 产品ID(PRODUCTID,VARCHAR,40)
     */
    @ApiModelProperty(value="产品ID",required=false)
    private String productid;

    /**
     * 工序ID(WORKPROCID,VARCHAR,40)
     */
    @ApiModelProperty(value="工序ID",required=false)
    private String workprocid;

    /**
     * 是否启用(USEFLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否启用",required=false)
    private String useflag;

    /**
     * 是否为主产品(ISPRIMARY,VARCHAR,1)
     */
    @ApiModelProperty(value="是否为主产品",required=false)
    private String isprimary;

    /**
     * 数据分类(ITEMTYPE,VARCHAR,40)
     */
    @ApiModelProperty(value="数据分类",required=false)
    private String itemtype;

    /**
     * 产量单位(UNITID,VARCHAR,40)
     */
    @ApiModelProperty(value="产量单位",required=false)
    private String unitid;

    /**
     * 计算顺序(SEQNO,VARCHAR,10)
     */
    @ApiModelProperty(value="计算顺序",required=false)
    private String seqno;

    /**
     * 数据精度(DIGITS,DECIMAL,2)
     */
    @ApiModelProperty(value="数据精度",required=false)
    private Short digits;

    /**
     * MES物料编码(MES_MATERIALCODE,VARCHAR,40)
     */
    @ApiModelProperty(value="MES物料编码",required=false)
    private String mesMaterialcode;

    /**
     * MES产线(MES_PRODLINE,VARCHAR,40)
     */
    @ApiModelProperty(value="MES产线",required=false)
    private String mesProdline;

    /**
     * 是否需要公式计算 0不需要，1需要(CODE,VARCHAR,10)
     */
    @ApiModelProperty(value="是否需要公式计算 0不需要，1需要",required=false)
    private String code;

    /**
     * 显示顺序(SHOWNO,DECIMAL,0)
     */
    @ApiModelProperty(value="显示顺序",required=false)
    private Short showno;

    /**
     * 创建人(CREATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createman;

    /**
     * 创建时间(CREATETIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updatetime;

    /**
     * 名称(ITEMNAME,VARCHAR,100)
     */
    @ApiModelProperty(value="名称",required=false)
    private String itemname;
    
    /**
     * 是否财务数据(ITEMNAME,VARCHAR,100)
     */
    @ApiModelProperty(value="是否财务数据",required=false)
    private String isfinancedata;



    /**
     * 上报产量关联编号(RTPITEMID,VARCHAR,100)
     */
    @ApiModelProperty(value="上报产量关联编号",required=false)
    private String rtpitemid;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.itemid;
    }

    @Override
    public void setId(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getProductid() {
        return productid;
    }

    public void setProductid(String productid) {
        this.productid = productid == null ? null : productid.trim();
    }

    public String getWorkprocid() {
        return workprocid;
    }

    public void setWorkprocid(String workprocid) {
        this.workprocid = workprocid == null ? null : workprocid.trim();
    }

    public String getUseflag() {
        return useflag;
    }

    public void setUseflag(String useflag) {
        this.useflag = useflag == null ? null : useflag.trim();
    }

    public String getIsprimary() {
        return isprimary;
    }

    public void setIsprimary(String isprimary) {
        this.isprimary = isprimary == null ? null : isprimary.trim();
    }

    public String getItemtype() {
        return itemtype;
    }

    public void setItemtype(String itemtype) {
        this.itemtype = itemtype == null ? null : itemtype.trim();
    }

    public String getUnitid() {
        return unitid;
    }

    public void setUnitid(String unitid) {
        this.unitid = unitid == null ? null : unitid.trim();
    }

    public String getSeqno() {
        return seqno;
    }

    public void setSeqno(String seqno) {
        this.seqno = seqno == null ? null : seqno.trim();
    }

    public Short getDigits() {
        return digits;
    }

    public void setDigits(Short digits) {
        this.digits = digits;
    }

    public String getMesMaterialcode() {
        return mesMaterialcode;
    }

    public void setMesMaterialcode(String mesMaterialcode) {
        this.mesMaterialcode = mesMaterialcode == null ? null : mesMaterialcode.trim();
    }

    public String getMesProdline() {
        return mesProdline;
    }

    public void setMesProdline(String mesProdline) {
        this.mesProdline = mesProdline == null ? null : mesProdline.trim();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public Short getShowno() {
        return showno;
    }

    public void setShowno(Short showno) {
        this.showno = showno;
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }
    
    public String getIsfinancedata() {
        return isfinancedata;
    }

    public void setIsfinancedata(String isfinancedata) {
        this.isfinancedata = isfinancedata == null ? null : isfinancedata.trim();
    }
    public String getrtpitemid() {
        return rtpitemid;
    }

    public void setrtpitemid(String RTPITEMID) {
        this.rtpitemid = RTPITEMID;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", itemid=").append(itemid);
        sb.append(", productid=").append(productid);
        sb.append(", workprocid=").append(workprocid);
        sb.append(", useflag=").append(useflag);
        sb.append(", isprimary=").append(isprimary);
        sb.append(", itemtype=").append(itemtype);
        sb.append(", unitid=").append(unitid);
        sb.append(", seqno=").append(seqno);
        sb.append(", digits=").append(digits);
        sb.append(", mesMaterialcode=").append(mesMaterialcode);
        sb.append(", mesProdline=").append(mesProdline);
        sb.append(", code=").append(code);
        sb.append(", showno=").append(showno);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", itemname=").append(itemname);
        sb.append(", isfinancedata=").append(isfinancedata);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}